apiVersion: apps/v1
kind: Deployment
metadata:
  name: accounts-deployment
  labels:
    app: accounts
spec:
  replicas: 2
  selector:
    matchLabels:
      app: accounts
  template:
    metadata:
      labels:
        app: accounts
    spec:
      containers:
        - name: accounts
          image: aqilzeka/account-ms:latest
          ports:
            - containerPort: 8080
          env:
            - name: SPRING_PROFILES_ACTIVE
              valueFrom:
                configMapKeyRef:
                  name: eazybank-configmap
                  key: SPRING_PROFILES_ACTIVE
            - name: SPRING_ZIPKIN_BASEURL
              valueFrom:
                configMapKeyRef:
                  name: eazybank-configmap
                  key: SPRING_ZIPKIN_BASEURL
            - name: SPRING_CONFIG_IMPORT
              valueFrom:
                configMapKeyRef:
                  name: eazybank-configmap
                  key: SPRING_CONFIG_IMPORT
            - name: EUREKA_CLIENT_SERVICEURL_DEFAULTZONE
              valueFrom:
                configMapKeyRef:
                  name: eazybank-configmap
                  key: EUREKA_CLIENT_SERVICEURL_DEFAULTZONE
---

apiVersion: v1
kind: Service
metadata:
  name: accounts-service
spec:
  selector:
    app: accounts
  type: LoadBalancer
  ports:
    - protocol: TCP
      port: 8080
      targetPort: 8080